Bug 1800 - (int-120965) tapping browser rss icon lists two RSS feeds, one from an iframe
(int-120965)
: tapping browser rss icon lists two RSS feeds, one from an iframe
Status: RESOLVED FIXED
Product: Browser
MicroB engine
: 5.0/(2.2009.51-1)
: All Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: microb-bugs
: http://browser.garage.maemo.org/news/
:
:
:
  Show dependency tree
 
Reported: 2007-08-13 11:12 UTC by timeless
Modified: 2010-03-15 20:51 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2007-08-13 11:12:50 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.5)
Gecko/20070713 Firefox/2.0.0.5
Build Identifier: 

RSS button in toolbar is affected by both the top level web page and pages in
iframes.

Reproducible: Always

Steps to Reproduce:
1. open browser
1' look for the toolbar at the bottom of the screen (if it isn't present, use
app menu>view>show toolbar>normal screen/full screen - depending on whether app
menu>view>full screen is checked)
2. load about:
2' verify it says microb (if it doesn't use app menu>set engine>microb, and
restart the browser)
3. load http://browser.garage.maemo.org/news/
3' note the rss icon in the toolbar
4. tap the rss
4' popup menu contains two items both labeled "RSS"
Actual Results:  
two menu items labeled "RSS".
The first is for http://browser.garage.maemo.org/news/index.rss (unexpected,
comes from iframe containing http://browser.garage.maemo.org/news/news.html)
The second is for http://browser.garage.maemo.org/news/index.xml (expected, but
it's actually atom)

Expected Results:  
1. per an unpublished specification, if there's only one "RSS" like element,
tapping the button should launch the RSS Feed Reader application.
2. RSS links for outer documents should absolutely appear before any RSS for
inner documents
3. I'm uncertain whether inner RSS references should be mentioned at all, but
if they should, there should be some clear indication that they're from
iframes/framesets.

This is the only site where I've seen this bug, I knowingly posted the news
article about the browser with the corresponding browser (intending to analyze
it today and file this bug).

Disabling JavaScript doesn't change the results.

But downloading the news/ page without the news.html page results in the normal
behavior. Downloading news.html next to news/index.html causes the problem to
reproduce.
Comment 1 Andre Klapper maemo.org 2009-12-31 15:49:39 UTC
This has been fixed in package
libgtkmozembed 1.8.5.1-1+0m5
which is part of the internal build version
2009.52-9
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 2 Andre Klapper maemo.org 2010-03-15 20:51:04 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).